#include <bits/stdc++.h>
using namespace std;

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
    cerr.tie(nullptr);
    int n, k;
    cin >> n >> k;
    string s;
    cin >> s;
    set<char> skup;
    int br = 1;
    for (int i = 0; i < n; i++) {
        skup.insert(s[i]);
        if (skup.size() == k) {
            br++;
            while (!skup.empty())
                skup.erase(skup.begin());
        }
        cout << br << ' ';
    }
    return 0;
}